function i() {
  let l;
  return { before({ doc: e }) {
    var d;
    let t = e.documentElement, n = (d = e.defaultView) != null ? d : window;
    l = Math.max(0, n.innerWidth - t.clientWidth);
  }, after({ doc: e, d }) {
    let t = e.documentElement, n = Math.max(0, t.clientWidth - t.offsetWidth), a = Math.max(0, l - n);
    d.style(t, "paddingRight", `${a}px`);
  } };
}
export {
  i as adjustScrollbarPadding
};
